%define gtk2 1
%define gtk3 1

Name:       yad
Version:    0.38.0
Release:    %mkrel 1
Summary:    Call GTK+ graphical dialog boxes from command line
Group:      Development/GNOME and GTK+
License:    GPLv3+
URL:        http://sourceforge.net/projects/yad-dialog
Source0:    http://sourceforge.net/projects/yad-dialog/files/%{name}-%{version}.tar.xz
#Gtk+2 support
%if %gtk2
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.16.0
BuildRequires:  pkgconfig(gtk+-unix-print-2.0)
# HTML widget support
#BuildRequires:  pkgconfig(webkit-1.0)
%endif

#Gtk+3 support
%if %gtk3
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.16.0
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
# HTML widget support
BuildRequires:  pkgconfig(webkitgtk-3.0)
%endif

#Common deps
BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool >= 0.40.0

Requires:  %{name}-bin = %{version}-%{release}

%description
Yad (yet another dialog) is a fork of zenity with many improvements, such as
custom buttons, additional dialogs, pop-up menu in notification icon and more.

This package provides common files and localizations. You should install either
%{name}-gtk2 or %{name}-gtk3 package to get Yad binary files and functionality.

%package -n %{name}-gtk2
Summary:   Call GTK+ 2.0 graphical dialog boxes from command line
Requires:  %{name} = %{version}-%{release}
Provides:  %{name}-bin = %{version}-%{release}
Conflicts: %{name}-gtk3

%description -n %{name}-gtk2
Yad (yet another dialog) is a fork of zenity with many improvements, such as
custom buttons, additional dialogs, pop-up menu in notification icon and more.
This is GTK2 build of Yad. For GTK3 build install yad-gtk3 package.

%package -n %{name}-gtk3
Summary:   Call GTK+ 3.0 graphical dialog boxes from command line
Requires:  %{name} = %{version}-%{release}
Provides:  %{name}-bin = %{version}-%{release}
Conflicts: %{name}-gtk2

%description -n %{name}-gtk3
Yad (yet another dialog) is a fork of zenity with many improvements, such as
custom buttons, additional dialogs, pop-up menu in notification icon and more.
This is GTK3 build of Yad. For GTK2 build install yad-gtk2 package.

%prep
# This package needs special attention. Please do not change to autosetup macro.
%setup -q -n yad -c
pushd %{name}-%{version}
popd

%if %gtk2
cp -a %{name}-%{version} %{name}-gtk2
pushd %{name}-gtk2
autoreconf -vif
popd
%endif

%if %gtk3
mv -f %{name}-%{version} %{name}-gtk3
pushd %{name}-gtk3
autoreconf -vif
popd
%endif

%build
# Disable html support. Because it pulls gtk2 libs and crashes :(
%if %gtk3
pushd %{name}-gtk3
%configure2_5x \
           --enable-icon-browser \
           --with-gtk=gtk3 \
           --enable-html
%make
popd
%endif

%if %gtk2
pushd %{name}-gtk2
# Disable html support. It depends on security hole webkit-1.0
%configure2_5x \
           --enable-icon-browser \
           --with-gtk=gtk2 \
           --disable-html
%make
popd
%endif

%install
%if %gtk3
pushd %{name}-gtk3
%make_install
mv -f %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}-gtk3
mv -f %{buildroot}%{_bindir}/%{name}-icon-browser %{buildroot}%{_bindir}/%{name}-icon-browser-gtk3
%if %gtk2
# remove all installations except above ones;
# they will created by gtk2 installation
rm -fr %{buildroot}%{_datadir}
%endif
popd
%endif

%if %gtk2
pushd %{name}-gtk2
%make_install
mv -f %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}-gtk2
mv -f %{buildroot}%{_bindir}/%{name}-icon-browser %{buildroot}%{_bindir}/%{name}-icon-browser-gtk2
popd
%endif

%find_lang %{name}

# Encoding key in group "Desktop Entry" is deprecated.
# Place the menu entry for yad-icon-browser under "Utilities".
desktop-file-install --remove-key Encoding     \
    --remove-category Development              \
    --add-category    Utility                  \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}-icon-browser.desktop


%post -n %{name}-gtk2
update-alternatives --install \
    %{_bindir}/%{name} %{name}-bin \
    %{_bindir}/%{name}-gtk2 \
    9 \
    --slave \
    %{_bindir}/%{name}-icon-browser %{name}-icon-browser-bin \
    %{_bindir}/%{name}-icon-browser-gtk2

%postun -n %{name}-gtk2
if [ "$1" = "0" ]; then
    if ! [ -e %{_bindir}/%{name}-gtk2 ]; then
         update-alternatives --remove %{name}-bin %{_bindir}/%{name}-gtk2
    fi

    if ! [ -e %{_bindir}/%{name}-icon-browser-gtk2 ]; then
         update-alternatives --remove %{name}-icon-browser-bin %{_bindir}/%{name}-icon-browser-gtk2
    fi
fi

%post -n %{name}-gtk3
update-alternatives --install \
    %{_bindir}/%{name} %{name}-bin \
    %{_bindir}/%{name}-gtk3 \
    9 \
    --slave \
    %{_bindir}/%{name}-icon-browser %{name}-icon-browser-bin \
    %{_bindir}/%{name}-icon-browser-gtk3

%postun -n %{name}-gtk3
if [ "$1" = "0" ]; then
    if ! [ -e %{_bindir}/%{name}-gtk3 ]; then
         update-alternatives --remove %{name}-bin %{_bindir}/%{name}-gtk3
    fi

    if ! [ -e %{_bindir}/%{name}-icon-browser-gtk3 ]; then
         update-alternatives --remove %{name}-icon-browser-bin %{_bindir}/%{name}-icon-browser-gtk3
    fi
fi

%files -f %{name}.lang
%doc %{name}-gtk3/README %{name}-gtk3/ChangeLog %{name}-gtk3/AUTHORS
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}-icon-browser.desktop
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man1/%{name}.1.*

%if %gtk2
%files -n %{name}-gtk2
%{_bindir}/%{name}-gtk2
%{_bindir}/%{name}-icon-browser-gtk2
%endif

%if %gtk3
%files -n %{name}-gtk3
%{_bindir}/%{name}-gtk3
%{_bindir}/%{name}-icon-browser-gtk3
%endif


%changelog
* Sat Jan 07 2017 tarakbumba <tarakbumba> 0.38.0-1.mga6
+ Revision: 1080533
- Update to 0.38.0 version

* Sat May 14 2016 tarakbumba <tarakbumba> 0.36.3-1.mga6
+ Revision: 1015059
- Update to 0.36.3 version

* Tue May 10 2016 tarakbumba <tarakbumba> 0.36.2-1.mga6
+ Revision: 1012191
- Update to 0.36.2 version
- Html support is disabled in gtk2 package due to security issues

* Sun Mar 20 2016 tarakbumba <tarakbumba> 0.35.0-1.mga6
+ Revision: 993346
- Update to 0.35.0 version

* Sat Mar 12 2016 tarakbumba <tarakbumba> 0.34.2-1.mga6
+ Revision: 989669
- Update to 0.34.2 version

* Fri Feb 26 2016 tarakbumba <tarakbumba> 0.34.1-1.mga6
+ Revision: 979669
- Update to 0.34.1 version

* Thu Feb 11 2016 tarakbumba <tarakbumba> 0.33.1-2.mga6
+ Revision: 955971
- Add html support for gtk+3 build

* Thu Jan 14 2016 tarakbumba <tarakbumba> 0.33.1-1.mga6
+ Revision: 923115
-Update to 0.33.1 version

* Fri Jan 01 2016 tarakbumba <tarakbumba> 0.33.0-1.mga6
+ Revision: 917684
- Update to 0.33.0 version

* Sat Nov 21 2015 tarakbumba <tarakbumba> 0.32.0-1.mga6
+ Revision: 904685
- Update to 0.32.0 version

* Tue Nov 03 2015 tarakbumba <tarakbumba> 0.31.3-1.mga6
+ Revision: 897674
- Update to 0.31.3 version

* Thu Oct 08 2015 tarakbumba <tarakbumba> 0.31.2-1.mga6
+ Revision: 887940
- Update to 0.31.2 version

* Mon Dec 15 2014 tarakbumba <tarakbumba> 0.27.0-1.mga5
+ Revision: 803194
- Update to 0.27.0 version

* Wed Oct 15 2014 umeabot <umeabot> 0.26.1-3.mga5
+ Revision: 739063
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.26.1-2.mga5
+ Revision: 690812
- Mageia 5 Mass Rebuild

* Sat Mar 29 2014 tarakbumba <tarakbumba> 0.26.1-1.mga5
+ Revision: 609253
- Update to version 0.26.1

* Fri Dec 20 2013 tarakbumba <tarakbumba> 0.25.1-1.mga4
+ Revision: 559029
- imported package yad-gtk2

